JavassistHelper (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.instrumentation
Class JavassistHelper

    java.lang.Object
      org.slf4j.instrumentation.JavassistHelper

    public class JavassistHelper

extends Object

Helper methods for Javassist functionality.

Constructor Summary
`JavassistHelper()`

Method Summary
`static String` | `getSignature(javassist.CtBehavior method)` Return javaassist source snippet which lists all the parameters and their values.
`static String` | `returnValue(javassist.CtBehavior method)` Create a javaassist source snippet which either is empty (for anything which does not return a value) or a explanatory text around the $_ javaassist return value variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavassistHelper

    public JavassistHelper()

Method Detail

### returnValue

    public static String returnValue(javassist.CtBehavior method)
                              throws javassist.NotFoundException

  Create a javaassist source snippet which either is empty (for anything which does not return a value) or a explanatory text around the $_ javaassist return value variable.

  Parameters:
    `method` - descriptor of method
  Returns:
    source snippet
  Throws:
    `javassist.NotFoundException`

### getSignature

    public static String getSignature(javassist.CtBehavior method)
                               throws javassist.NotFoundException

  Return javaassist source snippet which lists all the parameters and their values. If available the source names are extracted from the debug information and used, otherwise just a number is shown.

  Parameters:
    `method` -
  Returns:
  Throws:
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.